cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation

## Class SSR_U04

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.SSR_U04

-     public final class SSR_U04
      extends Message

  SSR_U04 - Specimen Status Request (Event U04). This message is use to request information concerning the location and status of specimens from one application to another (e.g., Laboratory Automation System to automated equipment).

  Represents a SSR_U04 message structure (see chapter 13.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: EQU (Equipment Detail Segment) SINGLE_COMPULSARY
  4: SPECIMEN_CONTAINER (a Group of segments in SSR_U04 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SSR_U04 objU04 = (SSR_U04)MessageFactory.createInstance().createSendSupportedMessage("SSR", "U04");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addSpecimenContainerGroup(IGroup objGroup)` Adds SPECIMEN CONTAINER GROUP to this message.
    `void` | `addSpecimenContainerGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of SPECIMEN CONTAINER GROUP to this message.
    `EQU` | `getEquipmentDetailSegment()` Retrieves Equipment Detail(EQU) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<IGroup>` | `getSpecimenContainerGroups()` Retrieves Collection of SPECIMEN CONTAINER GROUP present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setEquipmentDetailSegment(EQU objEQU)` Sets value of Equipment Detail segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEquipmentDetailSegment

          public EQU getEquipmentDetailSegment()

      Retrieves Equipment Detail(EQU) segment present in this message
      Returns:
        EQU - the EQU Segment present in this message or null if unavailable.

    - #### setEquipmentDetailSegment

          public void setEquipmentDetailSegment(EQU objEQU)

      Sets value of Equipment Detail segment for this message,overwrites if already present.
      Parameters:
        `objEQU` - Specified EQU Segment

    - #### getSpecimenContainerGroups

          public ISingleCollection<IGroup> getSpecimenContainerGroups()

      Retrieves Collection of SPECIMEN CONTAINER GROUP present in this message.
      Returns:
        ISingleCollection - Collection of SPECIMEN CONTAINER GROUP present in this Message.

    - #### addSpecimenContainerGroups

          public void addSpecimenContainerGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of SPECIMEN CONTAINER GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified SPECIMEN CONTAINER GROUP Collection.

    - #### addSpecimenContainerGroup

          public void addSpecimenContainerGroup(IGroup objGroup)

      Adds SPECIMEN CONTAINER GROUP to this message.
      Parameters:
        `objGroup` - Specified SPECIMEN CONTAINER GROUP.